<?php

/**
* Clase Bean para Adelanto
*
* @package Prj
* @subpackage AdelantoBean
* @author Willy
* @version SVN: : AdelantoBean.class.php,v 1.1 2009/06/01 13:13:57 william.taype Exp $
*/
class AdelantoBean{

  protected $IdAdelanto;
  protected $IdColaborador;
  protected $IdColaboradores;
  protected $FechaAdelanto;
  protected $FechaFinal;
  protected $Monto;
  protected $Descripcion;
  protected $Estado;
  protected $Eliminado;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  protected $FechaEliminado;
  protected $UsuarioEliminado;
  protected $Nombres;
  protected $ApellidoPaterno;
  protected $ApellidoMaterno;
  protected $Mensaje;
  protected $Error;

  public function getIdAdelanto(){
    return $this->IdAdelanto;
  }
  public function setIdAdelanto($v){
    $this->IdAdelanto = $v;
  }

  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v){
    $this->IdColaborador = $v;
  }

 public function getIdColaboradores(){
    return $this->IdColaboradores;
  }
  public function setIdColaboradores($v){
    $this->IdColaboradores = $v;
  }

  public function getFechaAdelanto(){
    return $this->FechaAdelanto;
  }
  public function setFechaAdelanto($v){
    $this->FechaAdelanto = $v;
  }
  
  public function getFechaFinal(){
    return $this->FechaFinal;
  }
  public function setFechaFinal($v){
    $this->FechaFinal = $v;
  }

  public function getMonto(){
    return $this->Monto;
  }
  public function setMonto($v){
    $this->Monto = $v;
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v){
    $this->Descripcion = $v;
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }
  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v){
    $this->Eliminado = $v;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }  
  public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v){
    $this->FechaEliminado = $v;
  }
  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v){
    $this->UsuarioEliminado = $v;
  }
  public function getNombres(){
    return $this->Nombres;
  }
  public function setNombres($v){
    $this->Nombres = $v;
  } 
  public function getApellidoPaterno(){
    return $this->ApellidoPaterno;
  }
  public function setApellidoPaterno($v){
    $this->ApellidoPaterno = $v;
  }
  
  public function getApellidoMaterno(){
    return $this->ApellidoMaterno;
  }
  public function setApellidoMaterno($v){
    $this->ApellidoMaterno = $v;
  }
  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }
  
  public function getNombreCompleto(){
    return $this->NombreCompleto;
  }
  public function setNombreCompleto($vl) {
    $this->NombreCompleto = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

}
